Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233433 - Hotplug scripts report errors badly
Summary: Hotplug scripts report errors badly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xen
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Markus Armbruster
QA Contact:
URL: http://lists.xensource.com/archives/h...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-22 13:54 UTC by Markus Armbruster
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHEA-2007-0635
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 17:10:11 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2007:0635 normal SHIPPED_LIVE xen enhancement update 2007-10-30 15:49:02 UTC

Description Markus Armbruster 2007-03-22 13:54:16 UTC
Description of problem:
The current way the hotplug scripts report errors is sub-optimal, rarely
giving the user enough information to diagnose the problem. This is 
particularly true of the networking scripts whose typical failure mode
is very obsecure. eg, if I configure a guest to use bridge7 which does
not exist, I will be told:

  # xm create demo
  ....60 seconds passes...
  Error: Device 0 (vif) could not be connected. Hotplug scripts not working.

How reproducible:
Always

Additional info:
A fix is upstream (see URL field) and in FC-6.

Comment 1 RHEL Product and Program Management 2007-06-12 20:23:56 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 3 Daniel Berrange 2007-06-26 19:23:06 UTC
Built as xen-3.0.3-30.el5 into dist-5E-qu-candidate

* Tue Jun 26 2007 Daniel P. Berrange <berrange@redhat.com> - 3.0.3-30.el5
- Hotplug scripts error reporting (rhbz 233433)


Comment 6 errata-xmlrpc 2007-11-07 17:10:11 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0635.html



Note You need to log in before you can comment on or make changes to this bug.